Skip to main content
GET
https://{tenantDomain}/api/v2
/
connection-profiles
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.ConnectionProfiles.GetAsync(
            "id"
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.connectionProfiles().get("id");
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
    token: '<token>',
);
$client->connectionProfiles->get(
    'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.connection_profiles.get(
    id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.connection_profiles.get(id: "id")
curl --request GET \
  --url https://{tenantDomain}/api/v2/connection-profiles/{id} \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/connection-profiles/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenantDomain}/api/v2/connection-profiles/{id}"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "id": "<string>",
  "name": "<string>",
  "organization": {},
  "connection_name_prefix_template": "<string>",
  "enabled_features": [],
  "connection_config": {},
  "strategy_overrides": {
    "pingfederate": {
      "enabled_features": [],
      "connection_config": {}
    },
    "ad": {
      "enabled_features": [],
      "connection_config": {}
    },
    "adfs": {
      "enabled_features": [],
      "connection_config": {}
    },
    "waad": {
      "enabled_features": [],
      "connection_config": {}
    },
    "google-apps": {
      "enabled_features": [],
      "connection_config": {}
    },
    "okta": {
      "enabled_features": [],
      "connection_config": {}
    },
    "oidc": {
      "enabled_features": [],
      "connection_config": {}
    },
    "samlp": {
      "enabled_features": [],
      "connection_config": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the connection-profile to retrieve.

Response

Record for existing connection profile.

id
string<connection-profile-id>

Connection Profile identifier.

name
string

The name of the connection profile.

Required string length: 1 - 50
organization
object

The organization of the connection profile.

connection_name_prefix_template
string

Connection name prefix template.

Maximum string length: 15
Pattern: ^(?!-)(?!.*--)(?:[a-zA-Z0-9-]|{org_id}|{org_name})*$
enabled_features
enum<string>[]

Enabled features for the connection profile.

Enum for enabled features.

Available options:
scim,
universal_logout
connection_config
object

Connection profile configuration.

strategy_overrides
object

Strategy-specific overrides for this attribute